\documentclass{article}


%%% Packages %%%

\usepackage{amsmath, amsfonts, amsthm, amssymb}
\usepackage{bm} %for \mathbm = fat math font
\usepackage{bbold} %to write unite matrix as double 1's with
                   %\mathbb{1}
\usepackage{tensor} %to have tensor indices appear in order:
                    %\tensor{R}{^a_b} vs R^a_b
\usepackage{color}
\usepackage{shadowtext} %for fonts with shadows
%\usepackage{multicol} %for multiple columns
\usepackage{ytableau} 
\usepackage{xcolor}

% Tikz %
\usepackage{tikz}
\usepackage{tkz-euclide}
\usetkzobj{all}							% loads all objects used by tkz-euclide
\usetikzlibrary{shapes}
\usetikzlibrary{decorations.markings}
\usetikzlibrary{decorations.shapes} % needed for large ellipses (decorating path with larger circles)
\usetikzlibrary{decorations.pathmorphing} %need for gluon coil
\usetikzlibrary{shapes.misc}
\usetikzlibrary{backgrounds}
% declare layers
\pgfdeclarelayer{background}
\pgfdeclarelayer{foreground}
\pgfsetlayers{background,main,foreground}
\usetikzlibrary{fit}
\usetikzlibrary{matrix,arrows,decorations} %for equations with arrows above
\usetikzlibrary{decorations.pathreplacing,calc}
\usetikzlibrary{positioning,decorations.text} % for bent arrows with
                                % text above them
\usetikzlibrary{arrows.meta,bending}
\usetikzlibrary{fadings}
\usetikzlibrary{matrix}
\usepgflibrary{decorations.footprints} %for footprint markings
\usetikzlibrary{calc}

\listfiles

\usepackage{bm} 			% bold math

\usetikzlibrary{external}

\tikzset{every picture/.style={inner sep=0,outer sep=0,line width=0.75pt
}}

\tikzexternalize[prefix=build/tikz/]								%where to store images
%\tikzset{external/mode=graphics if exists}         %only generate image if it doesn't already exist


%%%%%    		Width for all images 			%%%

\newcommand*{\PicWidth}{0.5}

\begin{document}



\input{Birdtracks_style_defs.tex}

\tikzsetexternalprefix{tikz/Birdtracks_}



    
   %%%%%%%%%%%    			Box Birdtrack representation of a P_\Theta projection operator, arbitary number of legs 			%%%%
    
\tikzsetnextfilename{Tensor_P}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\filldraw[fill=black!15, draw=black] (-2,-2.5) rectangle (2,2.5);
\node (a) at (0,-0.5) {$P_\Theta$};

\draw(R1)--([shift={(2,0)}]R1);
\draw(R4)--([shift={(2,0)}]R4);
\draw(L1)--([shift={(-2,0)}]L1);
\draw(L4)--([shift={(-2,0)}]L4);   

\draw[dotted] ([shift={(1,0)}]R1) -- ([shift={(1,0)}]R4);
\draw[dotted] ([shift={(-1,0)}]L1) -- ([shift={(-1,0)}]L4);
}}










%%%%%%%%%%%  				Arbitrary vector v in color space of arbitrary dimension		%%%%%%%%%%%%%

    
\tikzsetnextfilename{Vector_v}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\filldraw[fill=black!15, draw=black] ([shift={(0,1)}]L1) -- (1.5,0) -- ([shift={(0,-1)}]L4) -- cycle;
\node (a) at (-1 ,-0.5) {$v$};

%\draw(L1)--([shift={(-2,0)}]L1);
%\draw(L4)--([shift={(-2,0)}]L4);   
%
%\draw[dotted] ([shift={(-1,0)}]L1) -- ([shift={(-1,0)}]L4);
}}
    
    
    
    
    
    
        \vspace{1cm}
    
 %%%%%%%%%%%    	   Single wilson line 			%%%%

\tikzsetnextfilename{Wilson_line}
    \begin{tikzpicture}[
amp/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=90, scale = 0.4}
                        ]
\node (amp) [amp, right] {} ;
\draw (amp.west) -- ++ (-\PicWidth,0)    (amp.east) -- ++ (\PicWidth,0);       
    \end{tikzpicture}
    
    
    
    \vspace{1cm}    
    
     %%%%%%%%%%%    	   Single anti-wilson line 			%%%%

\tikzsetnextfilename{Anti-Wilson_line}
    \begin{tikzpicture}[
amp/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
\node (amp) [amp, right] {} ;
\draw (amp.west) -- ++ (-\PicWidth,0)    (amp.east) -- ++ (\PicWidth,0);       
    \end{tikzpicture}
    
    
    \vspace{1cm}
    
     %%%%%%%%%%%    	   Arbitrary product of U U^\dagger pairs 			%%%%
     
     
%%%%%%%%%		 some fancy code to draw large ellipses			%%%%%%%
\tikzset{decorate sep/.style 2 args=
{decorate,decoration={shape backgrounds,shape=circle,shape size=#1,shape sep=#2}}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tikzsetnextfilename{Arbitrary_product_Wilson_line_pairs}
    \begin{tikzpicture}[
U/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=90, scale = 0.4},  
              %
Udagger/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
                        %
\node (UT) at (0,1.25) [U, right] {} ;
\draw (UT.west) -- ++ (-\PicWidth,0)    (UT.east) -- ++ (\PicWidth,0);     
%                                         
\node (UTdagger) at (0,0.75) [Udagger, right] {} ;
\draw (UTdagger.west) -- ++ (-\PicWidth,0)    (UTdagger.east) -- ++ (\PicWidth,0); 
%
\node (UB) at (0,-0.75) [U, right] {} ;
\draw (UB.west) -- ++ (-\PicWidth,0)    (UB.east) -- ++ (\PicWidth,0);      
%                                        
\node (UBdagger) at (0,-1.25) [Udagger, right] {} ;
\draw (UBdagger.west) -- ++ (-\PicWidth,0)    (UBdagger.east) -- ++ (\PicWidth,0);             
%
%\node at (0,0) {\vdots};
%\draw[dotted] ([shift={(0,-0.5)}]UTdagger) -- ([shift={(0,0.5)}]UBdagger);
\draw[decorate sep={0.75mm}{3mm},fill] ([shift={(0,-0.75)}]UT.south) --  ([shift={(0,0.25)}]UB.north);
    \end{tikzpicture}
    
    
    
       \vspace{1cm}
       
       
     %%%%%%%%%%%    	   Arbitrary product of U U^\dagger pairs 	(global)		%%%%
     
     
\tikzsetnextfilename{Arbitrary_product_Wilson_line_pairs_global}
    \begin{tikzpicture}[
U/.style = {regular polygon, regular polygon sides=3,
              draw, fill=black, text width=1em,
              shape border rotate=90, scale = 0.4},  
              %
Udagger/.style = {regular polygon, regular polygon sides=3,
              draw, fill=black, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
                        %
\node (UT) at (0,1.25) [U, right] {} ;
\draw (UT.west) -- ++ (-\PicWidth,0)    (UT.east) -- ++ (\PicWidth,0);     
%                                         
\node (UTdagger) at (0,0.75) [Udagger, right] {} ;
\draw (UTdagger.west) -- ++ (-\PicWidth,0)    (UTdagger.east) -- ++ (\PicWidth,0); 
%
\node (UB) at (0,-0.75) [U, right] {} ;
\draw (UB.west) -- ++ (-\PicWidth,0)    (UB.east) -- ++ (\PicWidth,0);      
%                                        
\node (UBdagger) at (0,-1.25) [Udagger, right] {} ;
\draw (UBdagger.west) -- ++ (-\PicWidth,0)    (UBdagger.east) -- ++ (\PicWidth,0);             
%
%\node at (0,0) {\vdots};
%\draw[dotted] ([shift={(0,-0.5)}]UTdagger) -- ([shift={(0,0.5)}]UBdagger);
\draw[decorate sep={0.75mm}{3mm},fill] ([shift={(0,-0.75)}]UT.south) --  ([shift={(0,0.25)}]UB.north);
    \end{tikzpicture}
    
    
    
       \vspace{1cm}
    
 %%%%%%%%%%%    	   Wilson line 	+ generator insertion left		%%%%

\tikzsetnextfilename{Wilson_line_L_generator}
    \begin{tikzpicture}[
%
amp/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=90, scale = 0.4}
                        ]
%
\node (amp) [amp, right] {} ;
\node (mid) at (-\PicWidth/2, 0) {};
\node (bot) at (-\PicWidth/2, -0.75) {$a$};
\node (top) at (-\PicWidth/2, 0.75) {};
%
\draw (amp.west) -- ++ (-\PicWidth,0)    (amp.east) -- ++ (\PicWidth,0);    
\draw[densely dotted] (mid) -- ([yshift=1mm]bot.north);   
    \end{tikzpicture}
    
    
    
    \vspace{1cm}    
    
    
     %%%%%%%%%%%    	   Wilson line 	+ generator insertion right		%%%%

\tikzsetnextfilename{Wilson_line_R_generator}
    \begin{tikzpicture}[
%
amp/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=90, scale = 0.4}
                        ]
%
\node (amp) [amp, right] {} ;
\node (mid) at (\PicWidth, 0) {};
\node (bot) at (\PicWidth, -0.75) {$a$};
\node (top) at (-\PicWidth/2, 0.75) {};
%
\draw (amp.west) -- ++ (-\PicWidth,0)    (amp.east) -- ++ (\PicWidth,0);    
\draw[densely dotted] (mid) -- ([yshift=1mm]bot.north);   
    \end{tikzpicture}
    
    
    
    \vspace{1cm}    
    
    
     %%%%%%%%%%%    	   Anti-Wilson line 	+ generator insertion left		%%%%

\tikzsetnextfilename{Anti-Wilson_line_L_generator}
    \begin{tikzpicture}[
%
amp/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
%
\node (amp) [amp, right] {} ;
\node (mid) at (-\PicWidth/2, 0) {};
\node (bot) at (-\PicWidth/2, -0.75) {$a$};
\node (top) at (-\PicWidth/2, 0.75) {};
%
\draw (amp.west) -- ++ (-\PicWidth,0)    (amp.east) -- ++ (\PicWidth,0);    
\draw[densely dotted] (mid) -- ([yshift=1mm]bot.north);   
    \end{tikzpicture}
    
    
    
    \vspace{1cm}    
    
    
     %%%%%%%%%%%    	   Anti-Wilson line 	+ generator insertion right	%%%%

\tikzsetnextfilename{Anti-Wilson_line_R_generator}
    \begin{tikzpicture}[
%
amp/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
%
\node (amp) [amp, right] {} ;
\node (mid) at (\PicWidth, 0) {};
\node (bot) at (\PicWidth, -0.75) {$a$};
\node (top) at (-\PicWidth/2, 0.75) {};
%
\draw (amp.west) -- ++ (-\PicWidth,0)    (amp.east) -- ++ (\PicWidth,0);    
\draw[densely dotted] (mid) -- ([yshift=1mm]bot.north);   
    \end{tikzpicture}
    
    
    
    \vspace{1cm}    
    
    
    
     %%%%%%%%%%%    	   Product generator insertion Top 	%%%%    
     
% draw arrows in the middle of lines     
     
     \tikzset{middlearrow/.style={
        decoration={markings,
            mark= at position 0.5 with {\arrow[scale=2]{#1}} ,
        },
        postaction={decorate}
    }
}


    \tikzsetnextfilename{product_generator_insertion_top}
    \begin{tikzpicture}
%
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
\node (gentop) at (.25, 1.25) {};
\node (genbot) at (.25, -1.75) {$a$};
%%
\draw[middlearrow={stealth reversed}]  (-\PicWidth,1.25) --  (\PicWidth,1.25); 
\draw[middlearrow={stealth}]  (-\PicWidth,0.75) --  (\PicWidth,0.75);    
\draw[middlearrow={stealth reversed}]  (-\PicWidth,-0.75) --  (\PicWidth,-0.75);    
\draw[middlearrow={stealth}]  (-\PicWidth,-1.25) --  (\PicWidth,-1.25);      
% 
\draw[decorate sep={0.75mm}{3mm},fill] ([yshift=-1.3cm]top.south) --  ([yshift=1.3cm]bot.north);
\draw[densely dotted] (gentop) -- ([yshift=1mm]genbot.north);   
    \end{tikzpicture}


    \vspace{1cm}    

     %%%%%%%%%%%    	   Product generator insertion 2nd from bottom 	%%%%    



    \tikzsetnextfilename{product_generator_insertion_bot2}
    \begin{tikzpicture}
%
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
\node (gentop) at (.25, -0.75) {};
\node (genbot) at (.25, -1.75) {$a$};
%%
\draw[middlearrow={stealth reversed}]  (-\PicWidth,1.25) --  (\PicWidth,1.25); 
\draw[middlearrow={stealth}]  (-\PicWidth,0.75) --  (\PicWidth,0.75);    
\draw[middlearrow={stealth reversed}]  (-\PicWidth,-0.75) --  (\PicWidth,-0.75);    
\draw[middlearrow={stealth}]  (-\PicWidth,-1.25) --  (\PicWidth,-1.25);      
% 
\draw[decorate sep={0.75mm}{3mm},fill] ([yshift=-1.3cm]top.south) --  ([yshift=1.3cm]bot.north);
\draw[densely dotted] (gentop) -- ([yshift=1mm]genbot.north);   
    \end{tikzpicture}
    
    
        \vspace{1cm}    
         %%%%%%%%%%%    	   Product generator insertion 2nd from top 	%%%%    



    \tikzsetnextfilename{product_generator_insertion_top2}
    \begin{tikzpicture}
%
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
\node (gentop) at (.25, 0.75) {};
\node (genbot) at (.25, -1.75) {$a$};
%%
\draw[middlearrow={stealth reversed}]  (-\PicWidth,1.25) --  (\PicWidth,1.25); 
\draw[middlearrow={stealth}]  (-\PicWidth,0.75) --  (\PicWidth,0.75);    
\draw[middlearrow={stealth reversed}]  (-\PicWidth,-0.75) --  (\PicWidth,-0.75);    
\draw[middlearrow={stealth}]  (-\PicWidth,-1.25) --  (\PicWidth,-1.25);      
% 
\draw[decorate sep={0.75mm}{3mm},fill] ([yshift=-1.3cm]top.south) --  ([yshift=1.3cm]bot.north);
\draw[densely dotted] (gentop) -- ([yshift=1mm]genbot.north);   
    \end{tikzpicture}
    
    
    
        \vspace{1cm}    
         %%%%%%%%%%%    	   Product generator insertion bot 	%%%%    



    \tikzsetnextfilename{product_generator_insertion_bot}
    \begin{tikzpicture}
%
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
\node (gentop) at (.25, -1.25) {};
\node (genbot) at (.25, -1.75) {$a$};
%%
\draw[middlearrow={stealth reversed}]  (-\PicWidth,1.25) --  (\PicWidth,1.25); 
\draw[middlearrow={stealth}]  (-\PicWidth,0.75) --  (\PicWidth,0.75);    
\draw[middlearrow={stealth reversed}]  (-\PicWidth,-0.75) --  (\PicWidth,-0.75);    
\draw[middlearrow={stealth}]  (-\PicWidth,-1.25) --  (\PicWidth,-1.25);      
% 
\draw[decorate sep={0.75mm}{3mm},fill] ([yshift=-1.3cm]top.south) --  ([yshift=1.3cm]bot.north);
\draw[densely dotted] (gentop) -- ([yshift=1mm]genbot.north);   
    \end{tikzpicture}
    
  

    \vspace{1cm}    
    
    
    
    %%%%%%  	all generator insertion arbitrary product UU^dagger pairs (left) %%%%

\tikzsetnextfilename{Arbitrary_product_Wilson_line_pairs_all_generator_insertions_L}

    \begin{tikzpicture}[
U/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=90, scale = 0.4},  
              %
Udagger/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
%
\node (gentop) at (-.5, 1.25) {};
\node (genbot) at (-.5, -1.75) {$a, \bm{z}$};
%
\node (UT) at (0,1.25) [U, right] {} ;
\draw (UT.west) -- ++ (-3/2*\PicWidth,0)    (UT.east) -- ++ (\PicWidth,0);     
%                                         
\node (UTdagger) at (0,0.75) [Udagger, right] {} ;
\draw (UTdagger.west) -- ++ (-3/2*\PicWidth,0)    (UTdagger.east) -- ++ (\PicWidth,0); 
%
\node (UB) at (0,-0.75) [U, right] {} ;
\draw (UB.west) -- ++ (-3/2*\PicWidth,0)    (UB.east) -- ++ (\PicWidth,0);      
%                                        
\node (UBdagger) at (0,-1.25) [Udagger, right] {} ;
\draw (UBdagger.west) -- ++ (-3/2*\PicWidth,0)    (UBdagger.east) -- ++ (\PicWidth,0);             
%
%\node at (0,0) {\vdots};
%\draw[dotted] ([shift={(0,-0.5)}]UTdagger) -- ([shift={(0,0.5)}]UBdagger);
\draw[decorate sep={0.75mm}{3mm},fill] ([shift={(0,-0.75)}]UT.south) --  ([shift={(0,0.25)}]UB.north);
\filldraw[fill=black!15!white] ([xshift=-1mm]gentop) rectangle ([yshift=2mm,xshift=1mm]genbot.north);   
\draw[densely dotted] (gentop) -- ([yshift=2mm]genbot.north);  
    \end{tikzpicture}
    
    
    
       \vspace{1cm}
       
       
       
    %%%%%%  	all generator insertion arbitrary product UU^dagger pairs (right)  %%%%

\tikzsetnextfilename{Arbitrary_product_Wilson_line_pairs_all_generator_insertions_R}

    \begin{tikzpicture}[
U/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=90, scale = 0.4},  
              %
Udagger/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
%
\node (gentop) at (.8, 1.25) {};
\node (genbot) at (.8, -1.75) {$a, \bm{z}$};
%
\node (UT) at (0,1.25) [U, right] {} ;
\draw (UT.west) -- ++ (-\PicWidth,0)    (UT.east) -- ++ (3/2*\PicWidth,0);     
%                                         
\node (UTdagger) at (0,0.75) [Udagger, right] {} ;
\draw (UTdagger.west) -- ++ (-\PicWidth,0)    (UTdagger.east) -- ++ (3/2*\PicWidth,0); 
%
\node (UB) at (0,-0.75) [U, right] {} ;
\draw (UB.west) -- ++ (-\PicWidth,0)    (UB.east) -- ++ (3/2*\PicWidth,0);      
%                                        
\node (UBdagger) at (0,-1.25) [Udagger, right] {} ;
\draw (UBdagger.west) -- ++ (-\PicWidth,0)    (UBdagger.east) -- ++ (3/2*\PicWidth,0);             
%
%\node at (0,0) {\vdots};
%\draw[dotted] ([shift={(0,-0.5)}]UTdagger) -- ([shift={(0,0.5)}]UBdagger);
\draw[decorate sep={0.75mm}{3mm},fill] ([shift={(0,-0.75)}]UT.south) --  ([shift={(0,0.25)}]UB.north);
\filldraw[fill=black!15!white] ([xshift=-1mm]gentop) rectangle ([yshift=2mm,xshift=1mm]genbot.north);   
\draw[densely dotted] (gentop) -- ([yshift=2mm]genbot.north);  
    \end{tikzpicture}
    
    
    
       \vspace{1cm}
       
       
       
%%%%%%  	amplitude matrix singlet state (right)  %%%%

\tikzsetnextfilename{amplitude_matrix_singlet_state_R}

    \begin{tikzpicture}
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.5) {};
\node (bot) at (0, -1.5) {};
%
\draw [rounded corners,fill=gray!20] (top)--(1,0)--(bot)--(top);
%
\node (genbot) at (0.4,0) {\huge{$j$}};
    \end{tikzpicture}
    
    
    
       \vspace{1cm}
       

%%%%%%  	amplitude matrix singlet state (left)  %%%%

\tikzsetnextfilename{amplitude_matrix_singlet_state_L}

    \begin{tikzpicture}
%
% to horizontally shift, have invisible nodes left and right (really hacky hardcoded)
%
\node (right) at (0.025,0) {};
%
\node (top) at (0, 1.5) {};
\node (bot) at (0, -1.5) {};
%
\draw [rounded corners,fill=gray!20] (top)--(-1,0)--(bot)--(top);
%
\node (genbot) at (-0.4,0) {\huge{$i$}};
    \end{tikzpicture}
    
    
    
       \vspace{1cm}
       
%%%%%%  	amplitude matrix singlet state (left, index l )  %%%%

\tikzsetnextfilename{amplitude_matrix_singlet_state_L_l_index}

    \begin{tikzpicture}
%
% to horizontally shift, have invisible nodes left and right (really hacky hardcoded)
%
\node (right) at (0.025,0) {};
%
\node (top) at (0, 1.5) {};
\node (bot) at (0, -1.5) {};
%
\draw [rounded corners,fill=gray!20] (top)--(-1,0)--(bot)--(top);
%
\node (genbot) at (-0.4,0) {\huge{$l$}};
    \end{tikzpicture}
    
    
    
       \vspace{1cm}
       
       
%%%%%%  	amplitude matrix singlet state (right, l index)  %%%%

\tikzsetnextfilename{amplitude_matrix_singlet_state_R_l_index}

    \begin{tikzpicture}
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.5) {};
\node (bot) at (0, -1.5) {};
%
\draw [rounded corners,fill=gray!20] (top)--(1,0)--(bot)--(top);
%
\node (genbot) at (0.4,0) {\huge{$l$}};
    \end{tikzpicture}      



    %%%%%%  	all generator insertion arbitrary product UU^dagger pairs (left) %%%%

\tikzsetnextfilename{Arbitrary_product_Wilson_line_pairs_k_generator_insertions_L}

    \begin{tikzpicture}[
U/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=90, scale = 0.4},  
              %
Udagger/.style = {regular polygon, regular polygon sides=3,
              draw, fill=yellow, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
%
%			nodes for indices
%
\node (gentop) at (-.5, 1.25) {};
\node (genbot) at (-.5, -1.75) {$a_1, \bm{x}_1$};
%
\node (gentoptwo) at (-2, 1.25) {};
\node (genbottwo) at (-2, -1.75) {$a_k, \bm{x}_k$};
%
%\node (genbotmiddle) at (-1.25, -1.75) {$\cdots$};
%
% 			nodes for triangles ie. Wilson lines
%
\node (UT) at (0,1.25) [U, right] {} ;
\draw (UT.west) -- ++ (-3/2*\PicWidth,0)    (UT.east) -- ++ (\PicWidth,0);     
%                                         
\node (UTdagger) at (0,0.75) [Udagger, right] {} ;
\draw (UTdagger.west) -- ++ (-3/2*\PicWidth,0)    (UTdagger.east) -- ++ (\PicWidth,0); 
%
\node (UB) at (0,-0.75) [U, right] {} ;
\draw (UB.west) -- ++ (-3/2*\PicWidth,0)    (UB.east) -- ++ (\PicWidth,0);      
%                                        
\node (UBdagger) at (0,-1.25) [Udagger, right] {} ;
\draw (UBdagger.west) -- ++ (-3/2*\PicWidth,0)    (UBdagger.east) -- ++ (\PicWidth,0);        
%
% 		extra lines on the left in a hacky way     
%
\draw ([xshift=-2.5cm]UT.west) -- ([xshift=-2mm]UT.west);
\draw ([xshift=-2.5cm]UTdagger.west) -- ([xshift=-2mm]UTdagger.west);
\draw ([xshift=-2.5cm]UB.west) -- ([xshift=-2mm]UB.west);
\draw ([xshift=-2.5cm]UBdagger.west) -- ([xshift=-2mm]UBdagger.west);
%
% 	big dotted lines
%
\draw[decorate sep={0.75mm}{3mm},fill] ([shift={(0,-0.75)}]UT.south) --  ([shift={(0,0.25)}]UB.north);
\draw[decorate sep={0.25mm}{3mm},fill] (-1.5,0) -- (-.75,0);
%
% 	gray	rectangles
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentop) rectangle ([yshift=2mm,xshift=1mm]genbot.north);   
\draw[densely dotted] (gentop) -- ([yshift=2mm]genbot.north);  
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentoptwo) rectangle ([yshift=2mm,xshift=1mm]genbottwo.north);   
\draw[densely dotted] (gentoptwo) -- ([yshift=2mm]genbottwo.north);  
    \end{tikzpicture}
    
    
    
       \vspace{1cm}    
       
       
    %%%%%%  	all generator insertion arbitrary product UU^dagger pairs (left, global) %%%%

\tikzsetnextfilename{Arbitrary_product_Wilson_line_pairs_k_generator_insertions_L_global}

    \begin{tikzpicture}[
U/.style = {regular polygon, regular polygon sides=3,
              draw, fill=black, text width=1em,
              shape border rotate=90, scale = 0.4},  
              %
Udagger/.style = {regular polygon, regular polygon sides=3,
              draw, fill=black, text width=1em,
              shape border rotate=-90, scale = 0.4}
                        ]
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
%
%			nodes for indices
%
\node (gentop) at (-.5, 1.25) {};
\node (genbot) at (-.5, -1.75) {$a_1, \bm{x}_1$};
%
\node (gentoptwo) at (-2, 1.25) {};
\node (genbottwo) at (-2, -1.75) {$a_k, \bm{x}_k$};
%
%\node (genbotmiddle) at (-1.25, -1.75) {$\cdots$};
%
% 			nodes for triangles ie. Wilson lines
%
\node (UT) at (0,1.25) [U, right] {} ;
\draw (UT.west) -- ++ (-3/2*\PicWidth,0)    (UT.east) -- ++ (\PicWidth,0);     
%                                         
\node (UTdagger) at (0,0.75) [Udagger, right] {} ;
\draw (UTdagger.west) -- ++ (-3/2*\PicWidth,0)    (UTdagger.east) -- ++ (\PicWidth,0); 
%
\node (UB) at (0,-0.75) [U, right] {} ;
\draw (UB.west) -- ++ (-3/2*\PicWidth,0)    (UB.east) -- ++ (\PicWidth,0);      
%                                        
\node (UBdagger) at (0,-1.25) [Udagger, right] {} ;
\draw (UBdagger.west) -- ++ (-3/2*\PicWidth,0)    (UBdagger.east) -- ++ (\PicWidth,0);        
%
% 		extra lines on the left in a hacky way     
%
\draw ([xshift=-2.5cm]UT.west) -- ([xshift=-2mm]UT.west);
\draw ([xshift=-2.5cm]UTdagger.west) -- ([xshift=-2mm]UTdagger.west);
\draw ([xshift=-2.5cm]UB.west) -- ([xshift=-2mm]UB.west);
\draw ([xshift=-2.5cm]UBdagger.west) -- ([xshift=-2mm]UBdagger.west);
%
% 	big dotted lines
%
\draw[decorate sep={0.75mm}{3mm},fill] ([shift={(0,-0.75)}]UT.south) --  ([shift={(0,0.25)}]UB.north);
\draw[decorate sep={0.25mm}{3mm},fill] (-1.5,0) -- (-.75,0);
%
% 	gray	rectangles
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentop) rectangle ([yshift=2mm,xshift=1mm]genbot.north);   
\draw[densely dotted] (gentop) -- ([yshift=2mm]genbot.north);  
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentoptwo) rectangle ([yshift=2mm,xshift=1mm]genbottwo.north);   
\draw[densely dotted] (gentoptwo) -- ([yshift=2mm]genbottwo.north);  
    \end{tikzpicture}
    
    
    
       \vspace{1cm}    
    
    
    

    %%%%%%  	all generator insertion no Wilson lines (left) %%%%

\tikzsetnextfilename{k_generator_insertions_L}

    \begin{tikzpicture}%[
%U/.style = {regular polygon, regular polygon sides=3,
%              draw, fill=yellow, text width=1em,
%              shape border rotate=90, scale = 0.4},  
%              %
%Udagger/.style = {regular polygon, regular polygon sides=3,
%              draw, fill=yellow, text width=1em,
%              shape border rotate=-90, scale = 0.4}
%                        ]
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
%
%			nodes for indices
%
\node (gentop) at (.75, 1.25) {};
\node (genbot) at (.75, -1.75) {$a_1, \bm{x}_1$};
%
\node (gentoptwo) at (-.75, 1.25) {};
\node (genbottwo) at (-.75, -1.75) {$a_k, \bm{x}_k$};
%
% 			nodes for triangles ie. Wilson lines
%
\node (UT) at (0,1.25){} ;
%                                         
\node (UTdagger) at (0,0.75) {} ;
%
\node (UB) at (0,-0.75) {} ;
%                                        
\node (UBdagger) at (0,-1.25)  {} ;
%
% 		extra lines on the left in a hacky way     
%
\draw ([xshift=-1.25cm]UT.west) -- ([xshift=1.25cm]UT.east);
\draw ([xshift=-1.25cm]UTdagger.west) -- ([xshift=1.25cm]UTdagger.west);
\draw ([xshift=-1.25cm]UB.west) -- ([xshift=1.25cm]UB.west);
\draw ([xshift=-1.25cm]UBdagger.west) -- ([xshift=1.25cm]UBdagger.west);
%
% 	big dotted lines
%
\draw[decorate sep={0.25mm}{3mm},fill] (-.3,0) -- (.4,0);
%
% 	gray	rectangles
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentop) rectangle ([yshift=2mm,xshift=1mm]genbot.north);   
\draw[densely dotted] (gentop) -- ([yshift=2mm]genbot.north);  
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentoptwo) rectangle ([yshift=2mm,xshift=1mm]genbottwo.north);   
\draw[densely dotted] (gentoptwo) -- ([yshift=2mm]genbottwo.north);  
    \end{tikzpicture}
    
    
    
    
    
    
    
        %%%%%%  	all generator insertion no Wilson lines (left) with b as the adjoint index %%%%

\tikzsetnextfilename{k_generator_insertions_L_b_index}

    \begin{tikzpicture}%[
%U/.style = {regular polygon, regular polygon sides=3,
%              draw, fill=yellow, text width=1em,
%              shape border rotate=90, scale = 0.4},  
%              %
%Udagger/.style = {regular polygon, regular polygon sides=3,
%              draw, fill=yellow, text width=1em,
%              shape border rotate=-90, scale = 0.4}
%                        ]
% to vertically center, have invisible nodes high and low
\node (top) at (0, 1.75) {};
\node (bot) at (0, -1.75) {};
%
%			nodes for indices
%
\node (gentop) at (.75, 1.25) {};
\node (genbot) at (.75, -1.75) {$b_1, \bm{x}_1$};
%
\node (gentoptwo) at (-.75, 1.25) {};
\node (genbottwo) at (-.75, -1.75) {$b_k, \bm{x}_k$};
%
% 			nodes for triangles ie. Wilson lines
%
\node (UT) at (0,1.25){} ;
%                                         
\node (UTdagger) at (0,0.75) {} ;
%
\node (UB) at (0,-0.75) {} ;
%                                        
\node (UBdagger) at (0,-1.25)  {} ;
%
% 		extra lines on the left in a hacky way     
%
\draw ([xshift=-1.25cm]UT.west) -- ([xshift=1.25cm]UT.east);
\draw ([xshift=-1.25cm]UTdagger.west) -- ([xshift=1.25cm]UTdagger.west);
\draw ([xshift=-1.25cm]UB.west) -- ([xshift=1.25cm]UB.west);
\draw ([xshift=-1.25cm]UBdagger.west) -- ([xshift=1.25cm]UBdagger.west);
%
% 	big dotted lines
%
\draw[decorate sep={0.25mm}{3mm},fill] (-.3,0) -- (.4,0);
%
% 	gray	rectangles
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentop) rectangle ([yshift=2mm,xshift=1mm]genbot.north);   
\draw[densely dotted] (gentop) -- ([yshift=2mm]genbot.north);  
%
\filldraw[fill=black!15!white] ([xshift=-1mm]gentoptwo) rectangle ([yshift=2mm,xshift=1mm]genbottwo.north);   
\draw[densely dotted] (gentoptwo) -- ([yshift=2mm]genbottwo.north);  
    \end{tikzpicture}


\end{document}






















